stages:
  - deploy

deploy:
  stage: deploy
  script:
    - ls
    - git pull origin main
    - composer install --no-interaction --no-dev --prefer-dist
    - php artisan migrate --force
    - php artisan cache:clear
    - sudo service apache2 restart
  environment:
    name: production
    url: http://178.62.2.120
  #script:
    #- /var/www/html/guildroom/deploy.sh
    #gloas-b7323aece2709d1cf42d271aadbabee339b945a064805bbe748f0ba01a92fa9e GRDO secret
  only:
    - main
